cURL
curl --request GET \ --url https://capy.ai/api/v1/tasks \ --header 'Authorization: Bearer <token>'
{ "items": [ { "id": "<string>", "projectId": "<string>", "identifier": "<string>", "title": "<string>", "status": "backlog", "labels": [ "<string>" ], "pullRequest": { "number": 0, "url": "<string>", "repoFullName": "<string>", "state": "<string>", "headRef": "<string>", "baseRef": "<string>", "draft": true }, "slackThreads": [ { "teamId": "<string>", "channelId": "<string>", "threadTs": "<string>", "url": "<string>" } ], "createdAt": "<string>", "updatedAt": "<string>" } ], "nextCursor": "<string>", "hasMore": true }
List tasks for a project.
API token (capy_xxxx). Generate at capy.ai/settings/tokens
1 <= x <= 100
backlog
queued
in_progress
needs_review
archived
-9007199254740991 <= x <= 9007199254740991
Success
Show child attributes
Was this page helpful?